<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Formulario</title>
	<script type="text/javascript">

		let origen=document.querySelector("#origen");
		let destino=document.querySelector("#destino");

		function copiar(){
			destino==origen;
		}
		function mover(palabra){
			
			origen.addEventListener("click",copiar(palabra){
			  mover()
			});
		}

	</script>
</head>
<body>
	<form action="" method="post" name="juanma" id="juanma">
			<label>Origen
				<input type="text" name="origen" id="origen">
			</label>
			<p>
				<label>Destino
					<input type="text" name="destino" id="destino">
				</label>
			</p>
			<p>
				<input name="Submit" type="button" onClick="mover()" value="pasar_dato">
			</p>	
	</form>
</body>
</html>